Name:           mate-applets
Version:        1.5.1
Release:        5%{?dist}
Summary:        MATE Desktop panel applets
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires: dbus-glib-devel
BuildRequires: gucharmap-devel
BuildRequires: libgtop2-devel
BuildRequires: libmatekeyring-devel
BuildRequires: libmatenotify-devel
BuildRequires: libmateweather-devel
BuildRequires: libmatewnck-devel
BuildRequires: libnm-gtk-devel
BuildRequires: libxml2-devel
BuildRequires: mate-common
BuildRequires: mate-control-center-devel
BuildRequires: mate-desktop-devel
BuildRequires: mate-doc-utils
BuildRequires: mate-file-manager-devel
BuildRequires: mate-icon-theme-devel
BuildRequires: mate-keyring-devel
BuildRequires: mate-menus-devel
BuildRequires: mate-notification-daemon
BuildRequires: mate-panel-devel
BuildRequires: polkit-devel
BuildRequires: pygtk2-devel
BuildRequires: rarian-compat
BuildRequires: rarian-devel
BuildRequires: startup-notification-devel
Buildrequires: upower-devel

%description
MATE Desktop panel applets

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure   \
    --disable-schemas-compile                \
    --disable-scrollkeeper                   \
    --with-gnu-ld                            \
    --with-x                                 \
    --enable-polkit                          \
    --enable-networkmanager                  \
    --enable-ipv6                            \
    --enable-frequency-selector              \
    --enable-suid                            \
    --disable-cpufreq                        \
    --disable-timer-applet                   \
    --libexecdir=%{_libexecdir}/mate-applets 

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
%find_lang %{name} --all-name

#make python script executable
#http://forums.fedoraforum.org/showthread.php?t=284962
chmod a+x %{buildroot}%{python_sitelib}/mate_invest/chart.py

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/mate-invest-chart
%{python_sitelib}/mate_invest
%{_datadir}/dbus-1/services/org.mate.panel.applet.InvestAppletFactory.service
%{_datadir}/icons/hicolor/scalable/apps/mate-invest-applet.svg
%{_datadir}/mate/help/mate-invest-applet
%{_datadir}/omf/mate-invest-applet
%{_datadir}/mate-applets
%{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%{_datadir}/dbus-1/services/org.mate.panel.applet.AccessxStatusAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BattstatAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CharpickerAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.DriveMountAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.GeyesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.StickyNotesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TrashAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.battstat.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.charpick.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.geyes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.stickynotes.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-eyes-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-sticky-notes-applet.svg
%{_datadir}/icons/mate/48x48/apps/ax-applet.png
%{_datadir}/mate-2.0/ui/accessx-status-applet-menu.xml
%{_datadir}/mate-2.0/ui/battstat-applet-menu.xml
%{_datadir}/mate-2.0/ui/charpick-applet-menu.xml
%{_datadir}/mate-2.0/ui/drivemount-applet-menu.xml
%{_datadir}/mate-2.0/ui/geyes-applet-menu.xml
%{_datadir}/mate-2.0/ui/stickynotes-applet-menu.xml
%{_datadir}/mate-2.0/ui/trashapplet-menu.xml
%{_datadir}/mate-panel/applets
%{_datadir}/mate/help/mate-accessx-status
%{_datadir}/mate/help/mate-battstat
%{_datadir}/mate/help/mate-char-palette
%{_datadir}/mate/help/mate-drivemount
%{_datadir}/mate/help/mate-geyes
%{_datadir}/mate/help/mate-stickynotes_applet
%{_datadir}/mate/help/mate-trashapplet
%{_datadir}/mate/help/mateweather
%{_datadir}/omf/mate-accessx-status
%{_datadir}/omf/mate-battstat
%{_datadir}/omf/mate-char-palette
%{_datadir}/omf/mate-drivemount
%{_datadir}/omf/mate-geyes
%{_datadir}/omf/mate-stickynotes_applet
%{_datadir}/omf/mate-trashapplet
%{_datadir}/omf/mateweather
%{_datadir}/omf/mate-multiload
%{_datadir}/pixmaps/mate-accessx-status-applet
%{_datadir}/pixmaps/mate-stickynotes
%{_datadir}/MateConf/gsettings/stickynotes-applet.convert
%{_libexecdir}/mate-applets
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateWeatherAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MultiLoadAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.multiload.gschema.xml
%{_datadir}/mate-2.0/ui/mateweather-applet-menu.xml
%{_datadir}/mate-2.0/ui/multiload-applet-menu.xml
%{_datadir}/mate/help/mate-multiload

%changelog
* Sun Feb 03 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-5
- Fix conflicts with gnome by adding libexec configure flag


* Sun Feb 03 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-4
- Fix dist tag
- Remove duplicate files
- Sort BRs in alphabetical order

* Sat Jan 26 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-3
- bump

* Sat Jan 26 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-2
- Add missing BR

* Fri Jan 25 2013 - Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Initial build
